
using Godot;
using System;

namespace Rokojori
{ 
  [Tool,GlobalClass]
  public partial class SetUIText: Action
  { 
    [Export]
    public UIText uiText;

    [Export]
    public LocaleText locale;

    protected override void _OnTrigger()
    {
      if ( uiText == null )
      {
        return;
      }

      uiText.locale = locale;
    }
  }
}